# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'barman/version'

Gem::Specification.new do |spec|
  spec.name          = "barman"
  spec.version       = Barman::VERSION
  spec.authors       = ["Herman Moreno"]
  spec.email         = ["herman@michelada.io"]

  spec.summary       = "Formulates and serves your project behind the bar."
  spec.description   = "Barman creates the base of your project. It is used by michelada.io to get a jump start on a working app"
  spec.homepage      = "http://git.michelada.io/brewery/barman"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib", "templates"]

  spec.add_dependency "commander"
  spec.add_dependency "tty-file"
  spec.add_dependency "tty-command"
  spec.add_dependency "tty-which"
  spec.add_dependency     "bundler", "~> 1.13"

  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry"
end
